/**
 * Core API v1 (OpenAPI: 3.0.1)
 * 
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class FloorPlanFlyWeightResponse {
    public name: string;

    public id: string;

    public image: string;

    public zoneData: object;

    public height: number;

    public width: number;

    /**
     * Creates a FloorPlanFlyWeightResponse.
     *
     * @param {string} name
     * @param {string} id
     * @param {string} image
     * @param {object} zoneData
     * @param {number} height
     * @param {number} width
     */
    constructor(name: string, id: string, image: string, zoneData: object, height: number, width: number) {
        this.name = name;
        this.id = id;
        this.image = image;
        this.zoneData = zoneData;
        this.height = height;
        this.width = width;
    }
}